Bug 479403

Summary: clean install of F10 doesn't properly handle external monitor/virtual desktop size
Product: [Fedora] Fedora Reporter: Luis Villa <luis>
Component: xorg-x11-server-utilsAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 02:33:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Luis Villa 2009-01-09 07:14:32 EST
Description of problem:
I use an external 1650x1050 monitor alongside my 1024x768 laptop (a thinkpad x41 tablet.) The external monitor is detected when hotplugged, but only as 1024x768, and gnome-display-properties does not offer the option to rotate it. 

I know the card is capable of DTRT, since I did this every day before my clean re-install; I'll recreate my old setup but in the meantime I thought it'd be good to file this in the vain hope that someday it'll work automagically :)

the command that used to work:

/usr/bin/xrandr --output LVDS --mode 1024x768 --pos 1024x0 --rotate normal -
-output VGA --mode 1680x1050 --pos 0x0 --rotate left

this worked with the following xorg.conf:
https://bugzilla.redhat.com/attachment.cgi?id=248311

In particular, to get it to work I added the following section (first added around F7?):
	SubSection "Display"
		Viewport   0 0
		Virtual   2048 1024
		Depth     24
	EndSubSection

In the brave new post-xorg.conf world, when I run the previous command, I get:
/usr/bin/xrandr: cannot find mode 1680x1050

I'd obviously like that command to work 'out of the box' if that can; in the meantime I'll just fix it myself.

other bits:
my old lshal, xorg.conf, etc., are all attached to bug 366211. Hardware hasn't changed, just that I went from my old trusty manually edited xorg.conf to the brave new post-xorg.conf world.
Comment 1 Adam Jackson 2009-02-08 02:56:14 EST
Yeah, this doesn't work yet.  Magic framebuffer sizing is hard, resizing is even worse.  Might have this working for F11, we'll see, but it's not working anywhere yet really.
Comment 2 Bug Zapper 2009-11-18 05:42:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:33:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.